package org.jboss.devconf;

import java.io.Serializable;

public class Order implements Serializable {

	private static final long serialVersionUID = 3876379513890214694L;

	private String customerId;
	private String itemId;
	private int amount;
	private float price;
	private String customerName;
	private double totalPrice;
	
	public Order() {	
	}
	
	public Order(String customerId, String itemId, int amount, float price) {
		super();
		this.customerId = customerId;
		this.itemId = itemId;
		this.amount = amount;
		this.price = price;
	}

	public String getCustomerId() {
		return customerId;
	}

	public void setCustomerId(String customerId) {
		this.customerId = customerId;
	}

	public String getItemId() {
		return itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public int getAmount() {
		return amount;
	}

	public void setAmount(int amount) {
		this.amount = amount;
	}

	public float getPrice() {
		return price;
	}

	public void setPrice(float price) {
		this.price = price;
	}

	@Override
	public String toString() {
		return "Order [amount=" + amount + ", customerId=" + customerId
				+ ", customerName=" + customerName + ", itemId=" + itemId
				+ ", price=" + price + ", totalPrice=" + totalPrice + "]";
	}

	public String getCustomerName() {
		return customerName;
	}

	public void setCustomerName(String customerName) {
		this.customerName = customerName;
	}

	public double getTotalPrice() {
		return totalPrice;
	}

	public void setTotalPrice(double totalPrice) {
		this.totalPrice = totalPrice;
	}
}
