package org.jboss.devconf;

import org.jbpm.api.Configuration;
import org.jbpm.api.ProcessEngine;
import org.jbpm.api.history.HistoryProcessInstance;

public class ProcessHistory {

	public static void main(String[] args) {

		String processId = StartProcess.readProcessId();

		Configuration jbpmConfiguration = new Configuration();

		ProcessEngine engine = jbpmConfiguration.buildProcessEngine();

		HistoryProcessInstance processHistory = engine.getHistoryService()
				.createHistoryProcessInstanceQuery().processInstanceId(
						processId).uniqueResult();

		System.out.println("Duration: " + processHistory.getDuration() + " ms");
		System.out.println("State: " + processHistory.getState());

	}

}
